# Togai documentation ## Docs - [Add Aliases to account](https://togai.mintlify.app/api-reference/accounts/account-aliases/add-aliases-to-account.md): Add aliases to an account using customer_id and account_id. - [Get all aliases of an account](https://togai.mintlify.app/api-reference/accounts/account-aliases/get-all-aliases-of-an-account.md): Get all aliases of an account using account_id - [Remove Aliases to account](https://togai.mintlify.app/api-reference/accounts/account-aliases/remove-aliases-to-account.md): Remove existing aliases tagged to an account using this API - [Create an account](https://togai.mintlify.app/api-reference/accounts/create-an-account.md): This API let’s you to create an account for a customer using customer_id. - [Delete an account](https://togai.mintlify.app/api-reference/accounts/delete-an-account.md): This API let’s you to delete a customer using customer_id and account_id. - [Get an account](https://togai.mintlify.app/api-reference/accounts/get-an-account.md): Get account information using customer_id and account_id. - [List accounts of customer](https://togai.mintlify.app/api-reference/accounts/list-accounts-of-customer.md): Returns a list of accounts of a customer with pagination and sort. - [Dissociate or associate a price plan with an account](https://togai.mintlify.app/api-reference/accounts/plan-association/disassociate-a-plan-fromto-an-account.md): This API let’s you to detach or attach a price plan with an existing account - [Edit schedules of an account.](https://togai.mintlify.app/api-reference/accounts/plan-association/edit-schedules-of-an-account.md): This API let’s you to detach/attach one or more price plans from/to an existing account - [List pricing schedules of an account](https://togai.mintlify.app/api-reference/accounts/plan-association/list-pricing-schedules-of-an-account.md): Returns a list of pricing schedules of an account with pagination and sort. - [Approve or decline a purchase of a billing plan](https://togai.mintlify.app/api-reference/accounts/proposals/approve-or-decline-a-purchase-of-a-billing-plan.md): This API let’s you to approve or decline a proposal of a billing plan for an account - [Get proposal information](https://togai.mintlify.app/api-reference/accounts/proposals/get-proposal-information.md): Get proposal information - [List all proposals of an account](https://togai.mintlify.app/api-reference/accounts/proposals/list-all-proposals-of-an-account.md): List all proposals of an account - [Propose a purchase of a plan](https://togai.mintlify.app/api-reference/accounts/proposals/propose-a-purchase-of-a-plan.md): This API let’s you to create a proposal of a billing/entitlement plan for an account - [Get a specific purchase of an account](https://togai.mintlify.app/api-reference/accounts/purchases/get-a-specific-purchase-of-an-account.md): Get purchase information of an account for a specific plan using account_id and price_plan_id - [Get all purchases for an account](https://togai.mintlify.app/api-reference/accounts/purchases/get-all-purchases-for-an-account.md): Get Purchase information for an account using account_id and price_plan_id - [Initiate a purchase](https://togai.mintlify.app/api-reference/accounts/purchases/initiate-a-purchase.md): This API let’s you to initiate a purchase for an account - [Update an account](https://togai.mintlify.app/api-reference/accounts/update-an-account.md): This API let’s you to update an account’s information using customer_id and account_id. - [Create an AddOn](https://togai.mintlify.app/api-reference/addons/create-an-addon.md): Create an AddOn - [Delete an addon](https://togai.mintlify.app/api-reference/addons/delete-an-addon.md): Archive an addOn - [Get an addon](https://togai.mintlify.app/api-reference/addons/get-an-addon.md): Get details of an addon - [List addOns](https://togai.mintlify.app/api-reference/addons/list-addons.md): Get a list of add-ons - [Update an addon](https://togai.mintlify.app/api-reference/addons/update-an-addon.md): Update an existing addon - [Create an alias](https://togai.mintlify.app/api-reference/aliases/create-an-alias.md): This API let’s you to create an alias - [Delete an alias](https://togai.mintlify.app/api-reference/aliases/delete-an-alias.md): This API let’s you to delete an alias using alias. - [Get an alias](https://togai.mintlify.app/api-reference/aliases/get-an-alias.md): Get alias information using alias. - [List all aliases](https://togai.mintlify.app/api-reference/aliases/list-all-aliases.md): Returns a list of aliases with pagination and sort. - [Authentication 🔐](https://togai.mintlify.app/api-reference/authentication.md) - [Generate short lived bearer token](https://togai.mintlify.app/api-reference/authentication/get-bearer-token.md): Generates and returns a bearer token. Behavior of this API differs on the basis of the auth mechanism used to make the request. - For API key auth, this API generates a JWT token which is valid for 24 hours and returns it. - For JWT bearer auth, returns the same JWT token in response For informa… - [Credit balance for Account](https://togai.mintlify.app/api-reference/credits/credit-balance-for-account.md): Credit balance for Account - [Get credit details](https://togai.mintlify.app/api-reference/credits/get-credit-details.md): Get credit details - [Grant credit](https://togai.mintlify.app/api-reference/credits/grant-credit.md): Grant credit - [List credits](https://togai.mintlify.app/api-reference/credits/list-credits.md): Get all credits - [Void credit](https://togai.mintlify.app/api-reference/credits/void-credit.md): Void credit - [Create a customer](https://togai.mintlify.app/api-reference/customers/create-a-customer.md): This API let’s you to create customers and corresponding accounts. - [Delete a customer](https://togai.mintlify.app/api-reference/customers/delete-a-customer.md): This API let’s you to delete a customer using customer_id. - [Get a customer](https://togai.mintlify.app/api-reference/customers/get-a-customer.md): Get customer information using customer_id. - [List customers](https://togai.mintlify.app/api-reference/customers/list-customers.md): Returns a list of customers with pagination and sort. - [Update a customer](https://togai.mintlify.app/api-reference/customers/update-a-customer.md): This API let’s you to update a customer’s information using customer_id. - [Check entitlement value for a account](https://togai.mintlify.app/api-reference/entitlements/check-entitlement-value-for-a-account.md): This API let’s you to validate the entitlement value for a account - [Get entitlement value for a account](https://togai.mintlify.app/api-reference/entitlements/get-entitlement-value-for-a-account.md): This API let’s you to get the entitlement value for a account - [Get entitlements for a account](https://togai.mintlify.app/api-reference/entitlements/get-entitlements-for-a-account.md): This API let’s you to get the entitlements for a account - [Get Feature credits balance](https://togai.mintlify.app/api-reference/entitlements/get-feature-credits-balance.md): This API let’s you to get the feature credits balance - [Ingest event if a user is entitled to a feature](https://togai.mintlify.app/api-reference/entitlements/ingest-event-if-a-user-is-entitled-to-a-feature.md): This API let’s you to ingest an event if a user is entitled to a feature - [List feature credits entries of a feature for an account](https://togai.mintlify.app/api-reference/entitlements/list-feature-credits-entries-of-a-feature-for-an-account.md): This API let’s you to list the feature credits entries of a feature for an account - [Update a feature credits entry](https://togai.mintlify.app/api-reference/entitlements/update-a-feature-credits-entry-of-a-feature-for-an-account.md): #### This API let's you to update the following attributes: `effectiveUntil` and `granted` - [Void a feature credits entry of a feature for an account](https://togai.mintlify.app/api-reference/entitlements/void-a-feature-credits-entry-of-a-feature-for-an-account.md): This API let’s you to void the feature credits entries of a feature for an account - [Ingest events to Togai](https://togai.mintlify.app/api-reference/event-ingestion/ingest-events-to-togai.md): This API let’s you to ingest events to your Togai account. Events ingested using this API will be processed via associated usage meters and further via associated price plans to generate final billable value to invoice the customer Read more about [Event Ingestion](https://docs.togai.com/docs/event-… - [Ingest events to Togai in batch](https://togai.mintlify.app/api-reference/event-ingestion/ingest-events-to-togai-in-batch.md): This API let’s you to ingest events in batch upto 1000 events. Ingest large amounts of events up to 1000 in batches in an array using this API. - [Get a list of usage events with multiple query options](https://togai.mintlify.app/api-reference/event-management/get-a-list-of-usage-events-with-multiple-query-options.md): This API let’s you to fetch a list of events with multiple query parameters - [Get an usage event using event id](https://togai.mintlify.app/api-reference/event-management/get-an-usage-event-using-event-id.md): Fetch details of a particular event using the event ID. - [Undo ingested events.](https://togai.mintlify.app/api-reference/event-management/undo-ingested-events.md): #### This API lets you to revert the changes caused by events. - [Activate an event schema](https://togai.mintlify.app/api-reference/event-schemas/activate-an-event-schema.md): Activate an event schema - [Create an event schema](https://togai.mintlify.app/api-reference/event-schemas/create-an-event-schema.md): Create an event schema with attributes and dimensions to process events. - [Deactivate an event schema](https://togai.mintlify.app/api-reference/event-schemas/deactivate-an-event-schema.md): You can deactivate an event schema using this API. In case you have an activate usage meter associated with the event schema, you will need to deactivate it first and then try deactivating the event schema. - [Delete an event schema](https://togai.mintlify.app/api-reference/event-schemas/delete-an-event-schema.md): To delete(archive) an event schema, you’re required to archive associated active usage meters if any. - [Get an event schema](https://togai.mintlify.app/api-reference/event-schemas/get-an-event-schema.md): Get an event schema - [List all event schema versions](https://togai.mintlify.app/api-reference/event-schemas/list-all-event-schema-versions.md): Get a list of all the versions of an event schema - [List event schemas](https://togai.mintlify.app/api-reference/event-schemas/list-event-schemas.md): Returns a list of event schema with pagination. - [Update an event schema](https://togai.mintlify.app/api-reference/event-schemas/update-an-event-schema.md): Update an event schema and add new attributes and dimensions - [Create a Feature and optionally associate with one or more event_schemas](https://togai.mintlify.app/api-reference/feature/create-a-feature-and-optionally-associate-with-one-or-more-event_schemas.md): Create a Feature optionally associate with one or more event_schemas - [Get a Feature](https://togai.mintlify.app/api-reference/feature/get-a-feature.md): Get details of a Feature - [List Feature](https://togai.mintlify.app/api-reference/feature/list-feature.md): Get a list of features along with its associations - [Update a Feature](https://togai.mintlify.app/api-reference/feature/update-a-feature.md): Update an existing feature and its eventSchema associations - [Getting Started](https://togai.mintlify.app/api-reference/getting-started.md) - [Add accounts to an invoice group](https://togai.mintlify.app/api-reference/invoicegroups/add-accounts-to-an-invoice-group.md): This API let’s you to add accounts to an invoice group - [Create an invoice group](https://togai.mintlify.app/api-reference/invoicegroups/create-an-invoice-group.md): This API let’s you to create an invoice group - [Get information of an invoice group](https://togai.mintlify.app/api-reference/invoicegroups/get-information-of-an-invoice-group.md): This API let’s you to get information of an invoice group - [List Invoice Groups](https://togai.mintlify.app/api-reference/invoicegroups/list-invoice-groups.md): This API let’s you to list invoice groups - [Remove accounts from an invoice group. Removing all accounts will also delete the invoice group](https://togai.mintlify.app/api-reference/invoicegroups/remove-accounts-from-an-invoice-group-removing-all-accounts-will-also-delete-the-invoice-group.md): This API let’s you to remove accounts from an invoice group. Removing all accounts will also delete the invoice group - [Add or update miscellaneous charges in Invoice](https://togai.mintlify.app/api-reference/invoices/add-or-update-miscellaneous-charges-in-invoice.md): Add or update miscellaneous charges in Invoice - [Add or update miscellaneous charges in upcoming Invoice for a account](https://togai.mintlify.app/api-reference/invoices/add-or-update-miscellaneous-charges-in-upcoming-invoice-for-a-account.md): Add or update miscellaneous charges in upcoming Invoice for a account - [Create a custom invoice for an account](https://togai.mintlify.app/api-reference/invoices/create-a-custom-invoice-for-an-account.md): Create a custom invoice for an account. - [Delete a custom invoice in DRAFT state](https://togai.mintlify.app/api-reference/invoices/delete-a-custom-invoice-in-draft-state.md): Delete a custom invoice in DRAFT state. - [Get an invoice](https://togai.mintlify.app/api-reference/invoices/get-an-invoice.md): Get invoice - [List invoices](https://togai.mintlify.app/api-reference/invoices/list-invoices.md): List invoices - [Update payment status in Invoice](https://togai.mintlify.app/api-reference/invoices/update-payment-status-in-invoice.md): Update payment status in Invoice - [Get a list of licenses updates](https://togai.mintlify.app/api-reference/licenses/get-a-list-of-licenses-updates.md): This API let’s you to fetch a list of licenses updates with multiple query parameters - [Update a license entry](https://togai.mintlify.app/api-reference/licenses/update-a-license-entry.md): This API let’s you to add a license entry - [Get Togai Metrics](https://togai.mintlify.app/api-reference/metrics/get-togai-metrics.md): Togai Metrics API allows you to fetch different metrics from Events, Usage Meters and PricePlans with multiple queryable options. A single request can query up to five metrics. Single response can contain a maximum of 300 data points. - [Get the status of a migration](https://togai.mintlify.app/api-reference/migrations/get-the-status-of-a-migration.md): Get the status of a migration - [List migrations](https://togai.mintlify.app/api-reference/migrations/list-migrations.md): Returns a list of migrations with pagination and sort. - [Migrates accounts which are associated to one price plan to another price plan](https://togai.mintlify.app/api-reference/migrations/migrates-accounts-which-are-associated-to-one-price-plan-to-another-price-plan.md): Migrates accounts which are associated to one price plan to another price plan - [Pagination 📄](https://togai.mintlify.app/api-reference/pagination.md) - [create payments](https://togai.mintlify.app/api-reference/payments/create-payments.md): create payments - [Get a payment](https://togai.mintlify.app/api-reference/payments/get-a-payment.md): Get payment - [List all payments](https://togai.mintlify.app/api-reference/payments/list-all-payments.md): List all payments - [Calculate and return the revenue for a existing or new price plan](https://togai.mintlify.app/api-reference/price-experimentation/calculate-and-return-the-revenue-for-a-existing-or-new-price-plan.md): Calculate and return the revenue for a existing or new price plan - [Activate a price plan](https://togai.mintlify.app/api-reference/price-plans/activate-a-price-plan.md): Activate a price plan details using price plan id - [Add currencies to a price plan](https://togai.mintlify.app/api-reference/price-plans/add-currencies-to-a-price-plan.md): Add currencies to a price plan - [Create a price plan](https://togai.mintlify.app/api-reference/price-plans/create-a-price-plan.md): This API let's you create and price plan Learn more about [Price Plans](https://docs.togai.com/docs/priceplan) - [Get a price plan](https://togai.mintlify.app/api-reference/price-plans/get-a-price-plan.md): Get a price plan details using price plan id - [List price plans](https://togai.mintlify.app/api-reference/price-plans/list-price-plans.md): Get a list of price plans - [Remove a draft currency from a price plan](https://togai.mintlify.app/api-reference/price-plans/remove-a-draft-currency-from-a-price-plan.md): Remove a draft currency from a price plan - [Update a price plan](https://togai.mintlify.app/api-reference/price-plans/update-a-price-plan.md): Update an existing price plan Price Plans with status as DRAFT alone can be updated . Learn more about [Price plans](https://docs.togai.com/docs/priceplan) from our Guides - [Create a setting](https://togai.mintlify.app/api-reference/settings/create-a-setting.md): Create a setting - [Get a setting](https://togai.mintlify.app/api-reference/settings/get-a-setting.md): Get a setting - [Lists settings](https://togai.mintlify.app/api-reference/settings/lists-settings.md): List settings - [Update a setting](https://togai.mintlify.app/api-reference/settings/update-a-setting.md): Update a setting - [Activate usage meter](https://togai.mintlify.app/api-reference/usage-meters/activate-usage-meter.md): Activate usage meter - [Create an usage meter](https://togai.mintlify.app/api-reference/usage-meters/create-an-usage-meter.md): Create an usage meter and associate with an event schema - [Deactivate usage meter](https://togai.mintlify.app/api-reference/usage-meters/deactivate-usage-meter.md): Make an existing active usage meter to be inactive Active Usage Meters with active Pricing Plan attached can also be deactivated. - [Delete an Usage Meter](https://togai.mintlify.app/api-reference/usage-meters/delete-an-usage-meter.md): Delete an Usage Meter - [Get usage meter](https://togai.mintlify.app/api-reference/usage-meters/get-usage-meter.md): Get an usage meter using event schema name and usage meter id. - [List usage meters for event schema](https://togai.mintlify.app/api-reference/usage-meters/list-usage-meters-for-event-schema.md): Get a list of usage meters associated with an event schema - [Update an usage meter](https://togai.mintlify.app/api-reference/usage-meters/update-an-usage-meter.md): This API lets you update an existing usage meter. - [Wallet balance for Account](https://togai.mintlify.app/api-reference/wallet/wallet-balance-for-account.md): Wallet balance for Account - [Wallet entries for Account](https://togai.mintlify.app/api-reference/wallet/wallet-entries-for-account.md): Wallet entries for Account - [Change Log](https://togai.mintlify.app/changelog/change-log.md) - [Admin Center](https://togai.mintlify.app/docs/admin-center.md) - [Alerts](https://togai.mintlify.app/docs/alerts.md) - [Billable Items](https://togai.mintlify.app/docs/billable-items.md) - [Credits](https://togai.mintlify.app/docs/credits.md) - [Customers](https://togai.mintlify.app/docs/customers.md) - [Event enrichments](https://togai.mintlify.app/docs/event-enrichments.md) - [Event Ingestion](https://togai.mintlify.app/docs/event-ingestion.md) - [Event Schemas](https://togai.mintlify.app/docs/event-schemas.md) - [Basics of Togai](https://togai.mintlify.app/docs/how-togai-works.md) - [Insights overview](https://togai.mintlify.app/docs/insights-overview.md) - [MS Dynamics 365](https://togai.mintlify.app/docs/integrations/accounting-and-erp/ms-dynamics.md) - [Netsuite](https://togai.mintlify.app/docs/integrations/accounting-and-erp/netsuite.md) - [Odoo](https://togai.mintlify.app/docs/integrations/accounting-and-erp/odoo.md) - [Quickbooks](https://togai.mintlify.app/docs/integrations/accounting-and-erp/quickbooks.md) - [Sage](https://togai.mintlify.app/docs/integrations/accounting-and-erp/sage.md) - [Xero](https://togai.mintlify.app/docs/integrations/accounting-and-erp/xero.md) - [ZohoBooks](https://togai.mintlify.app/docs/integrations/accounting-and-erp/zohobooks.md) - [Chargebee](https://togai.mintlify.app/docs/integrations/billing-and-invoicing/chargebee.md) - [Zuora](https://togai.mintlify.app/docs/integrations/billing-and-invoicing/zuora.md) - [Simple Email Service](https://togai.mintlify.app/docs/integrations/communications/ses.md) - [Slack](https://togai.mintlify.app/docs/integrations/communications/slack.md) - [SMTP](https://togai.mintlify.app/docs/integrations/communications/smtp.md) - [DocuSign](https://togai.mintlify.app/docs/integrations/crm-and-cpq/docusign.md) - [Hubspot](https://togai.mintlify.app/docs/integrations/crm-and-cpq/hubspot.md) - [Salesforce](https://togai.mintlify.app/docs/integrations/crm-and-cpq/salesforce.md) - [AWS Redshift](https://togai.mintlify.app/docs/integrations/data-sources/aws-redshift.md) - [JDBC](https://togai.mintlify.app/docs/integrations/data-sources/jdbc-overview.md) - [Postgres](https://togai.mintlify.app/docs/integrations/data-sources/postgres.md) - [Prometheus](https://togai.mintlify.app/docs/integrations/data-sources/prometheus.md) - [S3](https://togai.mintlify.app/docs/integrations/data-sources/s3.md) - [Snowflake](https://togai.mintlify.app/docs/integrations/data-sources/snowflake.md) - [Victoria Metrics](https://togai.mintlify.app/docs/integrations/data-sources/victoria-metrics.md) - [First Promoter](https://togai.mintlify.app/docs/integrations/marketing/first-promoter.md) - [Overview](https://togai.mintlify.app/docs/integrations/overview.md) - [Adyen](https://togai.mintlify.app/docs/integrations/payments/adyen.md) - [Paystack](https://togai.mintlify.app/docs/integrations/payments/paystack.md) - [Razorpay](https://togai.mintlify.app/docs/integrations/payments/razorpay.md) - [Stripe](https://togai.mintlify.app/docs/integrations/payments/stripe.md) - [Supported Integrations](https://togai.mintlify.app/docs/integrations/supported-integrations.md): Togai integrates with a variety of third party (3P) platforms for different use cases and requirements. - [Introduction](https://togai.mintlify.app/docs/introduction.md) - [Invoice groups](https://togai.mintlify.app/docs/invoice-groups.md) - [Invoice templates](https://togai.mintlify.app/docs/invoice-templates.md) - [Invoices overview](https://togai.mintlify.app/docs/invoices-overview.md) - [Payments and wallet](https://togai.mintlify.app/docs/payments-and-wallet.md) - [Lifecycle and version control](https://togai.mintlify.app/docs/price-plan-lifecycle-version.md) - [Price plan overrides](https://togai.mintlify.app/docs/price-plan-overrides.md) - [Overview](https://togai.mintlify.app/docs/price-plan-overview.md) - [Price Plan Schedule](https://togai.mintlify.app/docs/price-plan-schedule.md) - [Pricing cycle](https://togai.mintlify.app/docs/pricing-cycle.md) - [Pricing Rules](https://togai.mintlify.app/docs/pricing-rules.md) - [Proposals](https://togai.mintlify.app/docs/proposals.md) - [Purchases](https://togai.mintlify.app/docs/purchases.md) - [Quote to cash overview](https://togai.mintlify.app/docs/qtc-overview.md) - [Quotas and Limits](https://togai.mintlify.app/docs/quotas-and-limits.md) - [Rate cards](https://togai.mintlify.app/docs/rate-cards.md) - [Revenue simulator](https://togai.mintlify.app/docs/revenue-simulator.md) - [Settings](https://togai.mintlify.app/docs/settings.md) - [Usage Meter](https://togai.mintlify.app/docs/usage-meter.md) - [Anthropic](https://togai.mintlify.app/templates/anthropic.md) - [Eleven Labs](https://togai.mintlify.app/templates/eleven-labs.md) - [Heygen](https://togai.mintlify.app/templates/heygen.md) - [Hypertrack](https://togai.mintlify.app/templates/hypertrack.md) - [Loxo](https://togai.mintlify.app/templates/loxo.md) - [Opus Clip](https://togai.mintlify.app/templates/opus-clip.md) - [Personal.ai](https://togai.mintlify.app/templates/personal-ai.md) - [Typeform](https://togai.mintlify.app/templates/typeform.md) ## OpenAPI Specs - [openapi](https://togai.mintlify.app/openapi.yaml) ## Optional - [Postman collection](https://www.postman.com/togai-workspace/workspace/togai-public)